
apt-get install -y git wget nano;

if which chef-solo; then
	echo 'found chef-solo, skipping';
else
	echo 'Installing chef-dk';

	wget https://packages.chef.io/files/stable/chefdk/3.9.0/ubuntu/16.04/chefdk_3.9.0-1_amd64.deb -O chefdk.deb;

	dpkg -i chefdk.deb;
fi

mkdir /opt/theta42 -p;

rm -rf /opt/theta42/provision-node;

## Install the node agent

git clone https://git.theta42.com/git-hosting/provision-node.git /opt/theta42/provision-node;

chef-solo -c /opt/theta42/provision-node/cookbooks/solo.rb -j /opt/theta42/provision-node/cookbooks/hosting.json;
